|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleHintReturn Class Reference
[QtGui module]

The QStyleHintReturn class provides style hints that return more than basic data types. More...

    #include <QStyleHintReturn>

Inherited by QStyleHintReturnMask.

- List of all members, including inherited members

### Public Types

- enum HintReturnType { SH_Default, SH_Mask }

### Public Functions

- QStyleHintReturn ( int version = QStyleOption::Version, int type = SH_Default )

### Public Variables

- int type
- int version

### Static Public Members

- const int Type
- const int Version

### Related Non-Members

- T qstyleoption_cast ( const QStyleHintReturn * hint )
- T qstyleoption_cast ( QStyleHintReturn * hint )

## Detailed Description

The QStyleHintReturn class provides style hints that return more than basic data types.

QStyleHintReturn and its subclasses are used to pass information from a style back to the querying widget. This is most useful when the return value from QStyle::styleHint() does not provide enough detail; for example, when a mask is to be returned.

## Member Type Documentation

### enum QStyleHintReturn::HintReturnType

Constant | Value | Description
--- | --- | ---
`QStyleHintReturn::SH_Default` | `0xf000` | QStyleHintReturn
`QStyleHintReturn::SH_Mask` |  | QStyle::SH_RubberBand_Mask QStyle::SH_FocusFrame_Mask

## Member Function Documentation

### QStyleHintReturn::QStyleHintReturn ( int version = QStyleOption::Version, int type = SH_Default )

Constructs a QStyleHintReturn with version version and type type.

The version has no special meaning for QStyleHintReturn; it can be used by subclasses to distinguish between different version of the same hint type.

See also QStyleOption::version and QStyleOption::type.

## Member Variable Documentation

### const int QStyleHintReturn::Type

Equals SH_Default.

### const int QStyleHintReturn::Version

Equals 1.

### int QStyleHintReturn::type

This variable holds the type of the style hint container.

See also HintReturnType.

### int QStyleHintReturn::version

This variable holds the version of the style hint return container.

This value can be used by subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast<T>(), you normally don't need to check it.

## Related Non-Members

### T qstyleoption_cast ( const QStyleHintReturn * hint )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Returns a T or 0 depending on the type and version of hint.

Example:

        int MyStyle::styleHint(StyleHint stylehint, const QStyleOption *opt,
                               const QWidget *widget, QStyleHintReturn* returnData) const;
        {
            if (stylehint == SH_RubberBand_Mask) {
                const QStyleHintReturnMask *maskReturn =
                        qstyleoption_cast<const QStyleHintReturnMask *>(hint);
                if (maskReturn) {
                    ...
                }
            }
            ...
        }

See also QStyleHintReturn::type and QStyleHintReturn::version.

### T qstyleoption_cast ( QStyleHintReturn * hint )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Returns a T or 0 depending on the type of hint.